com.hazelcast.client.proxy.txn.xa

## Class XAResourceProxy

- java.lang.Object
- - com.hazelcast.client.spi.ClientProxy
  - - com.hazelcast.client.proxy.txn.xa.XAResourceProxy

- All Implemented Interfaces:
    DistributedObject, HazelcastXAResource, XAResource

      public class XAResourceProxy
      extends ClientProxy
      implements HazelcastXAResource

  Client side XaResource implementation

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.client.spi.ClientProxy

      `name`

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XAResourceProxy(String serviceName, String objectName, ClientContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(Xid xid, boolean onePhase)`
    `void` | `end(Xid xid, int flags)`
    `void` | `forget(Xid xid)`
    `TransactionContext` | `getTransactionContext()` Returns the TransactionContext associated with the current thread.
    `int` | `getTransactionTimeout()`
    `boolean` | `isSameRM(XAResource xaResource)`
    `int` | `prepare(Xid xid)`
    `Xid[]` | `recover(int flag)`
    `void` | `rollback(Xid xid)`
    `boolean` | `setTransactionTimeout(int seconds)`
    `void` | `start(Xid xid, int flags)`
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.client.spi.ClientProxy

      `deregisterListener, destroy, destroyLocally, destroyRemotely, equals, getClient, getConnectedServerVersion, getContext, getDistributedObjectName, getId, getName, getPartitionKey, getSerializationService, getServiceName, hashCode, invoke, invoke, invokeOnAddress, invokeOnPartition, invokeOnPartitionInterruptibly, onDestroy, onInitialize, onShutdown, postDestroy, preDestroy, registerListener, setContext, toData, toObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.core.DistributedObject

      `destroy, getName, getPartitionKey, getServiceName`

- - ### Constructor Detail

    - #### XAResourceProxy

          public XAResourceProxy(String serviceName,
                                 String objectName,
                                 ClientContext context)

  - ### Method Detail

    - #### start

          public void start(Xid xid,
                            int flags)
                     throws XAException

      Specified by:
        `start` in interface `XAResource`
      Throws:
        `XAException`

    - #### end

          public void end(Xid xid,
                          int flags)
                   throws XAException

      Specified by:
        `end` in interface `XAResource`
      Throws:
        `XAException`

    - #### prepare

          public int prepare(Xid xid)
                      throws XAException

      Specified by:
        `prepare` in interface `XAResource`
      Throws:
        `XAException`

    - #### commit

          public void commit(Xid xid,
                             boolean onePhase)
                      throws XAException

      Specified by:
        `commit` in interface `XAResource`
      Throws:
        `XAException`

    - #### rollback

          public void rollback(Xid xid)
                        throws XAException

      Specified by:
        `rollback` in interface `XAResource`
      Throws:
        `XAException`

    - #### forget

          public void forget(Xid xid)
                      throws XAException

      Specified by:
        `forget` in interface `XAResource`
      Throws:
        `XAException`

    - #### isSameRM

          public boolean isSameRM(XAResource xaResource)
                           throws XAException

      Specified by:
        `isSameRM` in interface `XAResource`
      Throws:
        `XAException`

    - #### recover

          public Xid[] recover(int flag)
                        throws XAException

      Specified by:
        `recover` in interface `XAResource`
      Throws:
        `XAException`

    - #### getTransactionTimeout

          public int getTransactionTimeout()
                                    throws XAException

      Specified by:
        `getTransactionTimeout` in interface `XAResource`
      Throws:
        `XAException`

    - #### setTransactionTimeout

          public boolean setTransactionTimeout(int seconds)
                                        throws XAException

      Specified by:
        `setTransactionTimeout` in interface `XAResource`
      Throws:
        `XAException`

    - #### getTransactionContext

          public TransactionContext getTransactionContext()

      Description copied from interface: `HazelcastXAResource`
      Returns the TransactionContext associated with the current thread.
      Specified by:
        `getTransactionContext` in interface `HazelcastXAResource`
      Returns:
        TransactionContext associated with the current thread

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020. All rights reserved.